Bug 189892 - mail/crm114: STAGE support [PATCH]
Summary: mail/crm114: STAGE support [PATCH]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-17 19:10 UTC by Corey Halpin
Modified: 2014-05-19 04:40 UTC (History)
0 users

See Also:


Attachments
crm_stage.patch (2.54 KB, patch)
2014-05-17 19:10 UTC, Corey Halpin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Corey Halpin 2014-05-17 19:10:00 UTC
	Staging support for mail/crm114, better portlint compliance, fix building with clang.

How-To-Repeat: 	NA
Comment 1 Martin Wilke freebsd_committer 2014-05-18 07:46:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2014-05-19 04:37:11 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2014-05-19 04:37:15 UTC
Author: miwi
Date: Mon May 19 03:37:11 2014
New Revision: 354486
URL: http://svnweb.freebsd.org/changeset/ports/354486
QAT: https://qat.redports.org/buildarchive/r354486/

Log:
  - Stage support
  
  PR:		189892
  Submitted by:	maintainer

Modified:
  head/mail/crm114/Makefile

Modified: head/mail/crm114/Makefile
==============================================================================
--- head/mail/crm114/Makefile	Mon May 19 03:36:42 2014	(r354485)
+++ head/mail/crm114/Makefile	Mon May 19 03:37:11 2014	(r354486)
@@ -17,13 +17,19 @@ DISTNAME=	${PORTNAME}-${PORTVERSION}-${C
 MAINTAINER=	chalpin@cs.wisc.edu
 COMMENT=	A Markov based SpamFilter
 
-LIB_DEPENDS=	tre.5:${PORTSDIR}/textproc/libtre
+LICENSE= GPLv2
+
+LIB_DEPENDS=	libtre.so:${PORTSDIR}/textproc/libtre
 
 CRM114RELEASENAME=BlameMichelson
 
 USES=		gettext iconv
+USE_CSTD=gnu89
+
+OPTIONS_DEFINE= NORMALIZEMIME
+NORMALIZEMIME_DESC= Normalize MIME encoding
 
-MAKE_ARGS=	CC="${CC}" prefix="${PREFIX}" \
+MAKE_ARGS=	CC="${CC}" prefix="${STAGEDIR}${PREFIX}" \
 		LIBS="${LIBS}" \
 		INSTALL_PROGRAM="${INSTALL_PROGRAM}"
 
@@ -43,31 +49,16 @@ CRM_FILES=	mailfilter.crm mailfilter.cf 
 		blacklist.mfp.example whitelist.mfp.example crm114-mode.el \
 		reto_procmailrc.recipe
 
-OPTIONS_DEFINE=	PGO
-
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MPGO}
-MAKE_ARGS+=	CFLAGS="${CFLAGS} -fprofile-use" \
-		LDFLAGS="${LDFLAGS} -fprofile-use"
-.else
 MAKE_ARGS+=	CFLAGS="${CFLAGS}" \
 		LDFLAGS="${LDFLAGS}"
-.endif
 
 post-patch:
 	@${REINPLACE_CMD} -Ee \
 	  's,^((LD|C)FLAGS),#\1,;;s,^(prefix=),#\1,;;s,^(.*-install),#\1,' \
 	  ${WRKSRC}/Makefile
 
-.if ${PORT_OPTIONS:MPGO}
-.if target(pre-build)
-.error Makefile error since pre-build target has already been defined
-.endif
-pre-build: pgo
-.endif
-
 # Peter Jeremy recommended the use of b64decode and md5 20040302
 post-install:
 	@${REINPLACE_CMD} -Ee 's|^(.*/openssl base64 -d/)|#\1|' \
@@ -87,30 +78,15 @@ post-install:
 	@${REINPLACE_CMD} -Ee 's|^#(.*/b64decode -pr/)|\1|' \
 	  ${WRKSRC}/mailfilter.cf
 .endif
-	@${MKDIR} ${EXAMPLESDIR}
+	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
 	for i in ${CRM_FILES}; do \
-		${INSTALL_DATA} ${WRKSRC}/$${i} ${EXAMPLESDIR}; \
+		${INSTALL_DATA} ${WRKSRC}/$${i} ${STAGEDIR}${EXAMPLESDIR}; \
 	done
-.ifndef(NOPORTDOCS)
-	@${MKDIR} ${DOCSDIR}
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
 	@for i in ${WRKSRC}/[^G]*.txt ${WRKSRC}/README; do \
-		${INSTALL_DATA} $${i} ${DOCSDIR}; \
+		${INSTALL_DATA} $${i} ${STAGEDIR}${DOCSDIR}; \
 	done
 .endif
 
-.if ${PORT_OPTIONS:MPGO}
-pgo: pgo-build pgo-run pgo-clean
-
-pgo-build:
-	@(cd ${BUILD_WRKSRC}; ${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS} CFLAGS="${CFLAGS} -fprofile-generate" LDFLAGS="${LDFLAGS} -fprofile-generate" ${ALL_TARGET})
-
-pgo-run:
-# Check everything to generate profiling information.
-# We will ignore any errors.
-	@-(cd ${BUILD_WRKSRC}; ${MAKE} megatest)
-
-pgo-clean:
-	@(cd ${BUILD_WRKSRC}; ${MAKE} clean)
-.endif # if ${PORT_OPTIONS:MPGO}
-
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"